unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

  TRow  ='a'..'h' ;
  TColumn  = 1..8;
  TCheckersBoard =   class
  private
    FBoard : array [TRow,TColumn] of  Char;
  protected
    function GetChecker (Row: TRow; Col: TColumn):Char;
    procedure  SetChecker (Row: TRow; Col: TColumn; const Value: Char);
  public
    property Board [Row: TRow; Col: TColumn]: Char
      read GetChecker write SetChecker; default;
  end;

var
  Form1: TForm1;
  MyBoard : TCheckersBoard;


implementation

{$R *.dfm}

function TCheckersBoard.GetChecker (Row : TRow; Col :TColumn) : Char;
begin
  Result := FBoard [Row,Col];
end;

procedure TCheckersBoard.SetChecker (Row : TRow; Col : TColumn; const Value : Char) ;
begin
  FBoard [Row, Col] :=Value;
end;


procedure TForm1.FormCreate(Sender: TObject);
var
  i : TRow;
  j : TColumn;
  s : String;
  k,l : Integer;
begin
  MyBoard := TCheckersBoard.Create;
  for i := 'a' to 'h' do
    for j :=1 to 8 do
       MyBoard [i,j]:=' ';
  Memo1.Lines.Clear;
  k:=0;
  for i := 'a' to 'h' do
  begin
    if Ord(i) mod 2 = 1 then
    begin
      MyBoard [i,1]:='';
      MyBoard [i,3]:='';
      MyBoard [i,7]:='';
    end
    else
    begin
      MyBoard [i,2]:='';
      MyBoard [i,6]:='';
      MyBoard [i,8]:='';
    end;
  end;
  for j :=1 to 8 do
  begin
    S:='';
    for i := 'a' to 'h' do
         S:=S+MyBoard [i,j];
    Memo1.Lines.Add(S);
  end;
end;

end.
